<?xml version="1.0" encoding="UTF-8" ?>
<%@page import="java.io.File"%>
<%@page import="java.util.Map"%>
<%@page import="org.ocopomo.visualization.Info"%> 
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Motion chart</title>

        <!--Load the AJAX API-->
        <script type="text/javascript" src="http://www.google.com/jsapi"></script>
        <script type="text/javascript" src="<% out.print(Info.URL_BASE);%>commonlib.js" language="Javascript" ></script>
        <script type="text/javascript">
            var df = '<%
                Map<String, String[]> parameters = request.getParameterMap();
                String[] values = parameters.get("datafile");
                String datafile = null;
                if (values != null && values.length == 1) {
                    datafile = values[0];
                    out.print(datafile);
                }
            %>';
		
		// Load the Visualization API and the ready-made Google table visualization
		google.load('visualization', '1', {
                    'packages' : [ 'table' ]
		});

		// Set a callback to run when the API is loaded.
		google.setOnLoadCallback(init);

		// Send the query to the data source.
		function init() {

                    // Specify the data source URL.
                    var queryString = "<% out.print(Info.URL_DATASOURCE);%>?columnsId=true&datafile=" + df;
		
                    var query = new google.visualization.Query(queryString);

                    // Send the query with a callback function.
                    query.send(handleQueryResponse);
		}

		// Handle the query response.
		function handleQueryResponse(response) {
                    if (response.isError()) {
                        alert('Error in query: ' + response.getMessage() + ' '
                            + response.getDetailedMessage());
                        return;
                    }

                    // Draw the visualization.
                    data = response.getDataTable();
                    var chart = new google.visualization.Table(document.getElementById('chart_div'));
                    chart.draw(data, {
                        width : 500,
                        // height : 250,
                        is3D : true
                    });
                    limit = data.getNumberOfRows();
                    addOption("myinputs_1");
		}
		
        </script>
        <link href="css/extra.css" rel="stylesheet" type="text/css"></link>
        <link href="css/rec.css" rel="stylesheet" type="text/css"></link>
        <link href="css/custom.css" rel="stylesheet" type="text/css"></link>
    </head>
    <body>
        <div id="wrapper">
            <div id="header">
                <h1 >OCOPOMO visualization</h1>
            </div>
            <div id="main">
                <h1>Bar chart settings</h1>
                <h2><span>Second step: </span>set up the chart specifying the facets that you intend to show.</h2>
                <div id="container">
                    <h3>The data source contains the following facets:</h3>
                    <div id="chart_div"></div>


                    <form method="get" action="<% out.print(Info.URL_MOTIONCHART + "?datafile=" + datafile);%>">
                        <input type="hidden" name="datafile" value="<% out.print(datafile);%>" />
                        <div id="container">
                            <h3><span class="important">Chart rule: </span>remember that:
                            </h3>
                            <h4 style="color: #092E20; padding-left: 1.4em;">
                                <ul style="list-style-type: square;">
                                    <li>The first facet must be of type TEXT and contain the entity names.</li>
                                    <li>The second facet must contain time values. Time can be expressed in any of the following formats:<br />
                                        <ul style=" list-style-type: none;">
                                            <li>Year - facet type: NUMBER. Example: 2008;</li>
                                            <li>Month, day and year - facet type: DATE;</li>
                                            <li>Week number- facet type: TEXT; values should use the pattern YYYYWww, which conforms to ISO 8601. Example: '2008W03'.</li>
                                            <li>Quarter - facet type: TEXT; the values should have the pattern YYYYQq, which conforms to ISO 8601. Example: '2008Q3'.</li>
                                        </ul>
                                    </li>
                                    <li>Subsequent facets can be of type NUMBER or TEXT. Number facets will show up in the dropdown menus for X, Y, Color and Size axes. String facets will only appear in the dropdown menu for color.</li>
                                </ul>
                            </h4>
                            <div id="dynamicInput">
                                <div class="settings">
                                    <label for="myInputs[]">Choose the name of the facet to to visualize: </label>
                                    <select id="myinputs_1" name="myInputs[]" ></select>
                                </div>
                            </div>
                            <br />
                            <div id="formControl"> 
                                <input id="label" type="button" value="Add" onclick="addInput('dynamicInput');" />
                                <input type="submit" name="Confirm" value="Next" />
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </body>
</html>